com.datecs.crypto

## Enum DUKPT.KeyType

- java.lang.Object
- - java.lang.Enum<DUKPT.KeyType>
  - - com.datecs.crypto.DUKPT.KeyType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DUKPT.KeyType>
  Enclosing class:
    DUKPT

      public static enum DUKPT.KeyType
      extends java.lang.Enum<DUKPT.KeyType>

  KeyType defines the cryptographic key type being derived.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AES128`
    `AES192`
    `AES256`
    `DoubleTDEA`
    `TripleTDEA`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DUKPT.KeyType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DUKPT.KeyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DoubleTDEA

          public static final DUKPT.KeyType DoubleTDEA

    - #### TripleTDEA

          public static final DUKPT.KeyType TripleTDEA

    - #### AES128

          public static final DUKPT.KeyType AES128

    - #### AES192

          public static final DUKPT.KeyType AES192

    - #### AES256

          public static final DUKPT.KeyType AES256

  - ### Method Detail

    - #### values

          public static DUKPT.KeyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DUKPT.KeyType c : DUKPT.KeyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DUKPT.KeyType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null